## ldb 1.1.2~git20110807

=== lib/talloc/wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.0.5'


blddir = 'bin'

import Logs
import os, sys

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import sys
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, samba_dist, Options

# setup what directories to put in a tarball
samba_dist.DIST_DIRS('lib/talloc:. lib/replace:lib/replace buildtools:buildtools')


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    opt.add_option('--enable-talloc-compat1',
                   help=("Build talloc 1.x.x compat library [False]"),
                   action="store_true", dest='TALLOC_COMPAT1', default=False)
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytalloc module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)
        if conf.CHECK_BUNDLED_SYSTEM('pytalloc-util', minversion=VERSION,
                                     implied_deps='talloc replace'):
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)

    conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytalloc-util as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.env.TALLOC_VERSION = VERSION
        bld.PKG_CONFIG_FILES('talloc.pc', vnum=VERSION)
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          enabled=bld.env.TALLOC_COMPAT1)

        if not bld.env.disable_python:
            bld.PKG_CONFIG_FILES('pytalloc-util.pc', vnum=VERSION)
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers='talloc.h',
                          public_headers_install=not private_library,
                          private_library=private_library,
                          manpages='talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL') and not bld.env.disable_python:

        bld.SAMBA_LIBRARY('pytalloc-util',
            source='pytalloc_util.c',
            public_deps='talloc',
            pyext=True,
            vnum=VERSION,
            private_library=private_library,
            public_headers='pytalloc.h'
            )
        bld.SAMBA_PYTHON('pytalloc',
                         'pytalloc.c',
                         deps='talloc pytalloc-util',
                         enabled=True,
                         realname='talloc.so')

    if not getattr(bld.env, '_SAMBA_BUILD_', 0) == 4:
        # s4 already has the talloc testsuite builtin to smbtorture
        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         deps='talloc',
                         install=False)


def test(ctx):
    '''run talloc testsuite'''
    import Utils, samba_utils
    cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

=== lib/tevent/wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.9.13'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options, Logs

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytevent module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytevent as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_select.c
	     tevent_poll.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.PKG_CONFIG_FILES('tevent.pc', vnum=VERSION)
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps='replace talloc',
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          public_headers='tevent.h',
                          public_headers_install=not private_library,
                          private_library=private_library)

    bld.SAMBA_PYTHON('pytevent',
                     'pytevent.c',
                     deps='tevent',
                     enabled=True,
                     realname='_tevent.so')


def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== lib/tdb2/tools/Makefile ===
OBJS:=../../tdb2.o ../../hash.o ../../tally.o
CFLAGS:=-I../../.. -I.. -Wall -g -O3 #-g -pg
LDFLAGS:=-L../../..

default: tdb2torture tdb2tool tdb2dump tdb2restore mktdb2 speed growtdb-bench

tdb2dump: tdb2dump.c $(OBJS)
tdb2restore: tdb2restore.c $(OBJS)
tdb2torture: tdb2torture.c $(OBJS)
tdb2tool: tdb2tool.c $(OBJS)
mktdb2: mktdb2.c $(OBJS)
speed: speed.c $(OBJS)
growtdb-bench: growtdb-bench.c $(OBJS)

clean:
	rm -f tdb2torture tdb2dump tdb2restore tdb2tool mktdb2 speed growtdb-bench

=== debian/changelog ===
ldb (1:1.1.2~git20110807-2) unstable; urgency=low

  * Explicitly build with dh_python2.
  * Build against system Python rather than specifically 2.7. Closes: #642436

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Sep 2011 19:49:00 +0200

ldb (1:1.1.2~git20110807-1) unstable; urgency=low

  * New upstream snapshot.
   + Adds proper symbol versioning to libpyldb-util. LP: #777517

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Aug 2011 16:06:59 +0200

ldb (1:1.1.1~git20110728-1) unstable; urgency=low

  * Upload to unstable.
  * Switch to new style debhelper.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:51:49 +0200

ldb (1:1.1.1~git20110719-4) experimental; urgency=low

  * Add multi-arch support to libldb1.
  * Add debug packages python-ldb-dbg and libldb1-dbg.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 22:08:11 +0200

ldb (1:1.1.1~git20110719-3) unstable; urgency=low

  * Switch to python2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 25 Jul 2011 17:41:20 +0200

ldb (1:1.1.1~git20110719-2) unstable; urgency=low

  * Fix build dependency to be on tevent 0.9.13 rather than 0.9.11. Thanks
    Nobuhiro Iwamatsu.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Jul 2011 16:24:08 +0200

ldb (1:1.1.1~git20110719-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 21:45:21 +0200

=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 8.1.3),
               docbook-xml,
               docbook-xsl,
               libldap2-dev,
               libpopt-dev,
               libtalloc-dev (>= 2.0.5~),
               libtdb-dev (>= 1.2.9~),
               libtevent-dev (>= 0.9.13),
               pkg-config,
               python (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-talloc-dev (>= 2.0.5~),
               python-tdb (>= 1.2.9~),
               xsltproc
Homepage: http://ldb.samba.org/
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/pkg-samba/ldb/unstable

Package: libldb1
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libldb0
Breaks: libldb0, libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1)
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: libldb1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libldb1 (= ${binary:Version}), ${misc:Depends}
Recommends: libc6-dbg
Description: LDAP-like embedded database - debug symbols
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the debug symbols.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libldb1 (= ${binary:Version}),
         libtalloc-dev,
         libtdb-dev,
         pkg-config,
         ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python-ldb
Pre-Depends: ${misc:Pre-Depends}
Section: python
Architecture: any
Depends: libldb1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python bindings.

Package: python-ldb-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         pkg-config,
         python-ldb (= ${binary:Version}),
         ${misc:Depends}
Description: LDB python bindings - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files for the Python bindings.

Package: python-ldb-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-ldb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Recommends: python-tdb-dbg, python-talloc-dbg, python-dbg
Description: Python bindings for LDB - debug extension
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python debug extension.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

export PYTHON=$(shell which `pyversions -d`)
export PYTHON_CONFIG="$(PYTHON)-config"
export WAF=$(PYTHON) ./buildtools/bin/waf

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $* --with python2

override_dh_auto_configure:
	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)"\
		$(WAF) configure --prefix=/usr --disable-rpath-install \
		--builtin-libraries=ccan,replace,tdb_compat \
		--bundled-libraries=NONE \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules

get-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-$(WAF) clean
	rm -rf buildtools/bin/.waf-*
	rm -f buildtools/wafsamba/*.pyc

override_dh_auto_build:
	$(WAF) build

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(WAF) test
endif

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_install:
	DESTDIR=$(DESTDIR) $(WAF) install
	ar cr $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libldb.a bin/default/common/*.o
	rm $(DESTDIR)/usr/lib/python*/*/_tevent.so

override_dh_strip:
	dh_strip -pldb-tools
	dh_strip -ppython-ldb --dbg-package=python-ldb-dbg
	dh_strip -plibldb1 --dbg-package=libldb1-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xldb.so -ppython-ldb -- -c4
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb1 -- -c4

## ldb 1.1.3

=== wscript ===
#!/usr/bin/env python

APPNAME = 'ldb'
VERSION = '1.1.3'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options

samba_dist.DIST_DIRS('''lib/ldb:. lib/replace:lib/replace lib/talloc:lib/talloc
                        lib/tdb:lib/tdb lib/tdb2:lib/tdb2 lib/tdb_compat:lib/tdb_compat lib/ccan:lib/ccan lib/tevent:lib/tevent lib/popt:lib/popt
                        buildtools:buildtools''')


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('ldb', noextension='ldb')
    opt.RECURSE('lib/tdb_compat')
    opt.RECURSE('lib/tevent')
    opt.RECURSE('lib/replace')
    opt.tool_options('python') # options for disabling pyc or pyo compilation

def configure(conf):
    conf.RECURSE('lib/tdb_compat')
    conf.RECURSE('lib/tevent')
    conf.RECURSE('lib/popt')
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/tdb_compat')
    conf.find_program('python', var='PYTHON')
    conf.find_program('xsltproc', var='XSLTPROC')
    conf.check_tool('python')
    conf.check_python_version((2,4,2))
    conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=True)

    # This make #include <ccan/...> work.
    conf.ADD_EXTRA_INCLUDES('''#lib''')

    # where does the default LIBDIR end up? in conf.env somewhere?
    #
    conf.CONFIG_PATH('LDB_MODULESDIR', conf.SUBST_ENV_VAR('MODULESDIR') + '/ldb')

    conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_ldb:
        if conf.CHECK_BUNDLED_SYSTEM('ldb', minversion=VERSION,
                                     onlyif='talloc tdb tevent',
                                     implied_deps='replace talloc tdb tevent'):
            conf.define('USING_SYSTEM_LDB', 1)
        if conf.CHECK_BUNDLED_SYSTEM('pyldb-util', minversion=VERSION,
                                     onlyif='talloc tdb tevent ldb',
                                     implied_deps='replace talloc tdb tevent ldb'):
            conf.define('USING_SYSTEM_PYLDB_UTIL', 1)

    if conf.env.standalone_ldb:
        conf.CHECK_XSLTPROC_MANPAGES()

        # we need this for the ldap backend
        if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
            conf.env.ENABLE_LDAP_BACKEND = True

        # we don't want any libraries or modules to rely on runtime
        # resolution of symbols
        if sys.platform != "openbsd4":
            conf.ADD_LDFLAGS('-Wl,-no-undefined', testflags=True)

    conf.DEFINE('HAVE_CONFIG_H', 1, add_to_cflags=True)

    conf.SAMBA_CONFIG_H()

def build(bld):
    bld.RECURSE('lib/tdb_compat')
    bld.RECURSE('lib/tevent')
    bld.RECURSE('lib/popt')
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/tdb_compat')

    if bld.env.standalone_ldb:
        private_library = False
    else:
        private_library = True

    LDB_MAP_SRC = bld.SUBDIR('ldb_map',
                             'ldb_map.c ldb_map_inbound.c ldb_map_outbound.c')

    COMMON_SRC = bld.SUBDIR('common',
                            '''ldb_modules.c ldb_ldif.c ldb_parse.c ldb_msg.c ldb_utf8.c
                            ldb_debug.c ldb_dn.c ldb_match.c ldb_options.c
                            ldb_attributes.c attrib_handlers.c ldb_controls.c qsort.c''')

    bld.SAMBA_MODULE('ldb_ldap', 'ldb_ldap/ldb_ldap.c',
                     init_function='ldb_ldap_init',
                     module_init_name='ldb_init_module',
                     deps='talloc lber ldap ldb',
                     enabled=bld.env.ENABLE_LDAP_BACKEND,
                     internal_module=False,
                     subsystem='ldb')

    # we're not currently linking against the ldap libs, but ldb.pc.in
    # has @LDAP_LIBS@
    bld.env.LDAP_LIBS = ''

    if not 'PACKAGE_VERSION' in bld.env:
        bld.env.PACKAGE_VERSION = VERSION
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'

    if not bld.CONFIG_SET('USING_SYSTEM_PYLDB_UTIL'):
        bld.SAMBA_LIBRARY('pyldb-util',
                          deps='ldb',
                          source='pyldb_util.c',
                          public_headers='pyldb.h',
                          public_headers_install=not private_library,
                          vnum=VERSION,
                          private_library=private_library,
                          pc_files='pyldb-util.pc',
                          pyext=True,
                          abi_directory='ABI',
                          abi_match='pyldb_*')

    if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
        if Options.is_install:
            modules_dir = bld.EXPAND_VARIABLES('${LDB_MODULESDIR}')
        else:
            # when we run from the source directory, we want to use
            # the current modules, not the installed ones
            modules_dir = os.path.join(os.getcwd(), 'bin/modules/ldb')

        abi_match = '!ldb_*module_ops !ldb_*backend_ops ldb_*'

        bld.SAMBA_LIBRARY('ldb',
                          COMMON_SRC + ' ' + LDB_MAP_SRC,
                          deps='tevent LIBLDB_MAIN',
                          includes='include',
                          public_headers='include/ldb.h include/ldb_errors.h '\
                          'include/ldb_module.h include/ldb_handlers.h',
                          public_headers_install=not private_library,
                          pc_files='ldb.pc',
                          vnum=VERSION,
                          private_library=private_library,
                          manpages='man/ldb.3',
                          abi_directory='ABI',
                          abi_match = abi_match)

        # generate a include/ldb_version.h
        t = bld.SAMBA_GENERATOR('ldb_version.h',
                                rule='echo "#define LDB_VERSION \\"${LDB_VERSION}\\"" > ${TGT}',
                                target='include/ldb_version.h',
                                public_headers='include/ldb_version.h',
                                public_headers_install=not private_library)
        t.env.LDB_VERSION = VERSION
        bld.add_manual_dependency(bld.path.find_or_declare('include/ldb_version.h'), VERSION)



        bld.SAMBA_PYTHON('pyldb', 'pyldb.c',
                         deps='ldb pyldb-util',
                         realname='ldb.so',
                         cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)

        bld.SAMBA_MODULE('ldb_paged_results',
                         'modules/paged_results.c',
                         init_function='ldb_paged_results_init',
                         module_init_name='ldb_init_module',
                         internal_module=False,
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_asq',
                         'modules/asq.c',
                         init_function='ldb_asq_init',
                         module_init_name='ldb_init_module',
                         internal_module=False,
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_server_sort',
                         'modules/sort.c',
                         init_function='ldb_server_sort_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_paged_searches',
                         'modules/paged_searches.c',
                         init_function='ldb_paged_searches_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_rdn_name',
                         'modules/rdn_name.c',
                         init_function='ldb_rdn_name_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_sample',
                         'tests/sample_module.c',
                         init_function='ldb_sample_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_skel',
                         'modules/skel.c',
                         init_function='ldb_skel_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_sqlite3',
                         'sqlite3/ldb_sqlite3.c',
                         init_function='ldb_sqlite3_init',
                         internal_module=False,
                         module_init_name='ldb_init_module',
                         enabled=False,
                         deps='ldb',
                         subsystem='ldb')

        bld.SAMBA_MODULE('ldb_tdb',
                         bld.SUBDIR('ldb_tdb',
                                    '''ldb_tdb.c ldb_pack.c ldb_search.c ldb_index.c
                                    ldb_cache.c ldb_tdb_wrap.c'''),
                         init_function='ldb_tdb_init',
                         module_init_name='ldb_init_module',
                         internal_module=False,
                         deps='tdb_compat ldb',
                         subsystem='ldb')

        # have a separate subsystem for common/ldb.c, so it can rebuild
        # for install with a different -DLDB_MODULESDIR=
        bld.SAMBA_SUBSYSTEM('LIBLDB_MAIN',
                            'common/ldb.c',
                            deps='tevent tdb_compat',
                            includes='include',
                            cflags=['-DLDB_MODULESDIR=\"%s\"' % modules_dir])

        LDB_TOOLS='ldbadd ldbsearch ldbdel ldbmodify ldbedit ldbrename'
        for t in LDB_TOOLS.split():
            bld.SAMBA_BINARY(t, 'tools/%s.c' % t, deps='ldb-cmdline ldb',
                             manpages='man/%s.1' % t)

        # ldbtest doesn't get installed
        bld.SAMBA_BINARY('ldbtest', 'tools/ldbtest.c', deps='ldb-cmdline ldb',
                         install=False)

    bld.SAMBA_LIBRARY('ldb-cmdline',
                      source='tools/ldbutil.c tools/cmdline.c',
                      deps='ldb dl popt',
                      private_library=True)


def test(ctx):
    '''run ldb testsuite'''
    import Utils, samba_utils, shutil
    test_prefix = "%s/st" % (Utils.g_module.blddir)
    shutil.rmtree(test_prefix, ignore_errors=True)
    os.makedirs(test_prefix)
    os.environ['TEST_DATA_PREFIX'] = test_prefix
    cmd = 'tests/test-tdb.sh'
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    # FIXME: Run python testsuite
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== debian/changelog ===
ldb (1:1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 09 Nov 2011 14:17:14 +0100

## ldb 1.1.4

=== lib/ccan/wscript ===
#!/usr/bin/env python

import Logs, sys

def configure(conf):
    # FIXME: if they don't have -Werror, these will all fail.  But they
    # probably will anyway...
    conf.CHECK_CODE('int __attribute__((cold)) func(int x) { return x; }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_COLD')
    conf.CHECK_CODE('int __attribute__((const)) func(int x) { return x; }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_CONST')
    conf.CHECK_CODE('void __attribute__((noreturn)) func(int x) { exit(x); }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_NORETURN')
    conf.CHECK_CODE('void __attribute__((format(__printf__, 1, 2))) func(const char *fmt, ...) { }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_PRINTF')
    conf.CHECK_CODE('int __attribute__((unused)) func(int x) { return x; }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_UNUSED')
    conf.CHECK_CODE('int __attribute__((used)) func(int x) { return x; }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_ATTRIBUTE_USED')
    # We try to use headers for a compile-time test.
    conf.CHECK_CODE(code = """#ifdef __BYTE_ORDER
                        #define B __BYTE_ORDER
                        #elif defined(BYTE_ORDER)
                        #define B BYTE_ORDER
                        #endif

                        #ifdef __LITTLE_ENDIAN
                        #define LITTLE __LITTLE_ENDIAN
                        #elif defined(LITTLE_ENDIAN)
                        #define LITTLE LITTLE_ENDIAN
                        #endif

                        #if !defined(LITTLE) || !defined(B) || LITTLE != B
                        #error Not little endian.
                        #endif""",
                           headers="endian.h sys/endian.h",
                           define="HAVE_LITTLE_ENDIAN")
    conf.CHECK_CODE(code = """#ifdef __BYTE_ORDER
                        #define B __BYTE_ORDER
                        #elif defined(BYTE_ORDER)
                        #define B BYTE_ORDER
                        #endif

                        #ifdef __BIG_ENDIAN
                        #define BIG __BIG_ENDIAN
                        #elif defined(BIG_ENDIAN)
                        #define BIG BIG_ENDIAN
                        #endif

                        #if !defined(BIG) || !defined(B) || BIG != B
                        #error Not big endian.
                        #endif""",
                           headers="endian.h sys/endian.h",
                           define="HAVE_BIG_ENDIAN")

    if not conf.CONFIG_SET("HAVE_BIG_ENDIAN") and not conf.CONFIG_SET("HAVE_LITTLE_ENDIAN"):
        # That didn't work!  Do runtime test.
        conf.CHECK_CODE("""union { int i; char c[sizeof(int)]; } u;
	  u.i = 0x01020304;
	  return u.c[0] == 0x04 && u.c[1] == 0x03 && u.c[2] == 0x02 && u.c[3] == 0x01 ? 0 : 1;""",
                        addmain=True, execute=True,
                        define='HAVE_LITTLE_ENDIAN',
                        msg="Checking for HAVE_LITTLE_ENDIAN - runtime")
        conf.CHECK_CODE("""union { int i; char c[sizeof(int)]; } u;
	  u.i = 0x01020304;
	  return u.c[0] == 0x01 && u.c[1] == 0x02 && u.c[2] == 0x03 && u.c[3] == 0x04 ? 0 : 1;""",
                        addmain=True, execute=True,
                        define='HAVE_BIG_ENDIAN',
                        msg="Checking for HAVE_BIG_ENDIAN - runtime")

    # Extra sanity check.
    if conf.CONFIG_SET("HAVE_BIG_ENDIAN") == conf.CONFIG_SET("HAVE_LITTLE_ENDIAN"):
        Logs.error("Failed endian determination.  The PDP-11 is back?")
        sys.exit(1)

    conf.CHECK_CODE('return __builtin_choose_expr(1, 0, "garbage");',
                    link=True,
                    define='HAVE_BUILTIN_CHOOSE_EXPR')
    conf.CHECK_CODE('return __builtin_clz(1) == (sizeof(int)*8 - 1) ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_CLZ')
    conf.CHECK_CODE('return __builtin_clzl(1) == (sizeof(long)*8 - 1) ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_CLZL')
    conf.CHECK_CODE('return __builtin_clzll(1) == (sizeof(long long)*8 - 1) ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_CLZLL')
    conf.CHECK_CODE('return __builtin_constant_p(1) ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_CONSTANT_P')
    conf.CHECK_CODE('return __builtin_expect(main != 0, 1) ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_EXPECT')
    conf.CHECK_CODE('return __builtin_popcountl(255L) == 8 ? 0 : 1;',
                    link=True,
                    define='HAVE_BUILTIN_POPCOUNTL')
    conf.CHECK_CODE('return __builtin_types_compatible_p(char *, int) ? 1 : 0;',
                    link=True,
                    define='HAVE_BUILTIN_TYPES_COMPATIBLE_P')
    conf.CHECK_CODE('int *foo = (int[]) { 1, 2, 3, 4 }; return foo[0] ? 0 : 1;',
                    define='HAVE_COMPOUND_LITERALS')
    conf.CHECK_CODE("""#include <ctype.h>
	  int main(void) { return isblank(' ') ? 0 : 1; }""",
                    link=True, addmain=False, add_headers=False,
                    define='HAVE_ISBLANK')
    conf.CHECK_CODE('int x = 1; __typeof__(x) i; i = x; return i == x ? 0 : 1;',
                    link=True,
                    define='HAVE_TYPEOF')
    conf.CHECK_CODE('int __attribute__((warn_unused_result)) func(int x) { return x; }',
                    addmain=False, link=False, cflags="-Werror",
                    define='HAVE_WARN_UNUSED_RESULT')

def build(bld):
    bld.SAMBA_LIBRARY('ccan',
                      vnum="0.1-init-1161-g661d41f",
                      source=bld.path.ant_glob('*/*.c'),
                      private_library=True)

=== lib/tdb/wscript ===
#!/usr/bin/env python

APPNAME = 'tdb'
VERSION = '1.2.9'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options, Logs

samba_dist.DIST_DIRS('lib/tdb:. lib/replace:lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tdb', noextension='tdb')
    opt.RECURSE('lib/replace')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytdb module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_tdb = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tdb:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('tdb', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TDB', 1)
            if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytdb', 'tdb', minversion=VERSION):
                conf.define('USING_SYSTEM_PYTDB', 1)

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytdb as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/replace')

    COMMON_SRC = bld.SUBDIR('common',
                            '''check.c error.c tdb.c traverse.c
                            freelistcheck.c lock.c dump.c freelist.c
                            io.c open.c transaction.c hash.c summary.c''')

    if bld.env.standalone_tdb:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TDB'):
        bld.SAMBA_LIBRARY('tdb',
                          COMMON_SRC,
                          deps='replace',
                          includes='include',
                          abi_directory='ABI',
                          abi_match='tdb_*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers='include/tdb.h',
                          public_headers_install=not private_library,
                          pc_files='tdb.pc',
                          private_library=private_library)

        bld.SAMBA_BINARY('tdbtorture',
                         'tools/tdbtorture.c',
                         'tdb',
                         install=False)

        bld.SAMBA_BINARY('tdbrestore',
                         'tools/tdbrestore.c',
                         'tdb', manpages='manpages/tdbrestore.8')

        bld.SAMBA_BINARY('tdbdump',
                         'tools/tdbdump.c',
                         'tdb', manpages='manpages/tdbdump.8')

        bld.SAMBA_BINARY('tdbbackup',
                         'tools/tdbbackup.c',
                         'tdb',
                         manpages='manpages/tdbbackup.8')

        bld.SAMBA_BINARY('tdbtool',
                         'tools/tdbtool.c',
                         'tdb', manpages='manpages/tdbtool.8')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTDB'):
        bld.SAMBA_PYTHON('pytdb',
                         'pytdb.c',
                         deps='tdb',
                         enabled=not bld.env.disable_python,
                         realname='tdb.so',
                         cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)



def test(ctx):
    '''run tdb testsuite'''
    import Utils, samba_utils, shutil
    test_prefix = "%s/st" % (Utils.g_module.blddir)
    shutil.rmtree(test_prefix, ignore_errors=True)
    os.makedirs(test_prefix)
    os.environ['TEST_DATA_PREFIX'] = test_prefix
    cmd = os.path.join(Utils.g_module.blddir, 'tdbtorture')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== lib/tdb2/wscript ===
#!/usr/bin/env python

APPNAME = 'tdb'
VERSION = '2.0-alpha'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options, Logs

samba_dist.DIST_DIRS('lib/tdb2:. lib/replace:lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tdb2', noextension='tdb2')
    opt.RECURSE('lib/replace')
    opt.add_option('--enable-tdb2',
                   help=("Use tdb2 API instead of tdb1 [False]"),
                   action="store_true", dest='BUILD_TDB2', default=False)
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytdb module"),
                       action="store_true", dest='disable_python', default=False)

def configure(conf):
    if conf.env.BUILD_TDB2:
        conf.DEFINE('BUILD_TDB2', 1)
        conf.RECURSE('lib/replace')
        conf.RECURSE('lib/ccan')

        conf.env.standalone_tdb2 = conf.IN_LAUNCH_DIR()
        conf.env.disable_python = getattr(Options.options, 'disable_python', False)

#        if not conf.env.standalone_tdb2:
#            if conf.CHECK_BUNDLED_SYSTEM('tdb', minversion=VERSION,
#                                         implied_deps='replace'):
#                conf.define('USING_SYSTEM_TDB2', 1)

        conf.SAMBA_CONFIG_H()

def build(bld):
    if bld.env.BUILD_TDB2:
        bld.RECURSE('lib/replace')

        if bld.env.standalone_tdb2:
            bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
            bld.PKG_CONFIG_FILES('tdb2.pc', vnum=VERSION)
            bld.INSTALL_FILES('${INCLUDEDIR}', 'tdb2.h', flat=True)
            private_library = False
        else:
            private_library = True

        if not bld.CONFIG_SET('USING_SYSTEM_TDB2'):
            # FIXME: hide_symbols=True, abi_directory='ABI', abi_match='tdb_*',  vnum=VERSION,
            bld.SAMBA_LIBRARY('tdb',
                              '''check.c free.c hash.c io.c lock.c open.c
                                 summary.c tdb.c transaction.c traverse.c
                                 tdb1_check.c tdb1_freelist.c tdb1_hash.c
                                 tdb1_io.c tdb1_lock.c tdb1_open.c
                                 tdb1_summary.c tdb1_tdb.c tdb1_transaction.c
                                 tdb1_traverse.c''',
                              deps='replace ccan',
                              private_library=private_library)

            bld.SAMBA_BINARY('tdb2torture',
                             'tools/tdb2torture.c',
                             'tdb',
                             install=False)

            bld.SAMBA_BINARY('tdb2tool',
                             'tools/tdb2tool.c',
                             'tdb')

            bld.SAMBA_BINARY('tdb2dump',
                             'tools/tdb2dump.c',
                             'tdb')

            bld.SAMBA_BINARY('tdb2restore',
                             'tools/tdb2restore.c',
                             'tdb')

        bld.SAMBA_PYTHON('pytdb',
                         'pytdb.c',
                         deps='tdb',
                         enabled=not bld.env.disable_python,
                         realname='tdb.so',
                         cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== lib/tevent/wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'tevent'
-VERSION = '0.9.13'
+VERSION = '0.9.14'
 
 blddir = 'bin'
 
@@ -35,9 +35,11 @@
     conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()
 
     if not conf.env.standalone_tevent:
-        if conf.CHECK_BUNDLED_SYSTEM('tevent', minversion=VERSION,
+        if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                      onlyif='talloc', implied_deps='replace talloc'):
             conf.define('USING_SYSTEM_TEVENT', 1)
+            if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
+                conf.define('USING_SYSTEM_PYTEVENT', 1)
 
     if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
         conf.DEFINE('HAVE_EPOLL', 1)
@@ -56,13 +58,15 @@
 
     conf.SAMBA_CONFIG_H()
 
+    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()
+
 def build(bld):
     bld.RECURSE('lib/replace')
     bld.RECURSE('lib/talloc')
 
     SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
              tevent_queue.c tevent_req.c tevent_select.c
-	     tevent_poll.c
+         tevent_poll.c
              tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''
 
     if bld.CONFIG_SET('HAVE_EPOLL'):
@@ -70,7 +74,6 @@
 
     if bld.env.standalone_tevent:
         bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
-        bld.PKG_CONFIG_FILES('tevent.pc', vnum=VERSION)
         private_library = False
     else:
         private_library = True
@@ -86,13 +89,14 @@
                           vnum=VERSION,
                           public_headers='tevent.h',
                           public_headers_install=not private_library,
+                          pc_files='tevent.pc',
                           private_library=private_library)
 
-    bld.SAMBA_PYTHON('pytevent',
-                     'pytevent.c',
-                     deps='tevent',
-                     enabled=True,
-                     realname='_tevent.so')
+    if not bld.CONFIG_SET('USING_SYSTEM_PYTDB'):
+        bld.SAMBA_PYTHON('pytevent',
+                         'pytevent.c',
+                         deps='tevent',
+                         realname='_tevent.so')
 
 
 def test(ctx):

=== debian/changelog ===
ldb (1:1.1.4-1ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service in ldb_wildcard_compare function
    - debian/patches/CVE-2015-3223.patch: handle empty strings and
      embedded zeros in lib/ldb/common/ldb_match.c.
    - CVE-2015-3223
  * SECURITY UPDATE: information leak via incorrect string length handling
    - debian/patches/CVE-2015-5330.patch: fix string length handling in
      lib/ldb/common/ldb_dn.c.
    - CVE-2015-5330

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Jan 2016 10:16:11 -0500

ldb (1:1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Dec 2011 00:15:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>> 8.1.3),
                docbook-xml,
                docbook-xsl,
@@ -9,7 +10,7 @@
                libpopt-dev,
                libtalloc-dev (>= 2.0.5~),
                libtdb-dev (>= 1.2.9~),
-               libtevent-dev (>= 0.9.13),
+               libtevent-dev (>= 0.9.14),
                pkg-config,
                python (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
